/*codigo slider baner principal*/
.contenedor-slider {
    overflow: hidden;
    max-width: 100%;
    height: auto;
    margin: auto;
}

.slider {
    display: flex;
    flex-wrap: nowrap;
    transition: all 0.9s ease-in-out;
}

.slider {
    transition-delay: 0.9s;
}

.slider img {
    max-width: 100%;
}

/*codigo menu de accesos directos*/
.nav-accesos {
    display: grid;
    grid-template-columns: 1fr 1fr;
    column-gap: 1.3rem;
    row-gap: 1.5rem;
    margin-left: 1.5rem;
    margin-right: 1.5rem;
}

.titulo-accesos {
    padding-left: 2.2rem;
    font-size: 1.5rem;
}

.boton-acceso {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    border: 0.1rem solid rgba(31, 27, 62, 0.3);
    padding: 1rem;
    border-radius: 1rem;
}

.acceso-icono {
    background-color: var(--fondoiconos);
    border-radius: 50%;
    width: 3.9rem;
    height: 3.9rem;
    display: flex;
    justify-content: center;
    align-items: center;
}

.acceso-icono img {
    width: 1.9rem;
    height: 2.2rem;
}

.acceso-texto {
    text-align: center;
    padding-top: 0.5rem;
    font-size: 1.5rem;
    color: var(--negro);
}

.acceso-texto a {
    color: var(--negro);
}

/*codigo banner pequeño*/

.bannerpeque {
    padding-top: 3rem;
    padding-left: 5rem;
    padding-right: 5rem;
    display: flex;
    align-items: center;
    justify-content: center;
}

.bannerpeque img {
    width: 100%;
    min-width: 33rem;
}

/*codigo quienes somos*/

.somos {
    display: grid;
    grid-template-rows: repeat(20%, 80%);
    margin-left: 3.2rem;
    margin-right: 3.2rem;
    row-gap: 1rem;
}

.somos-imagen img {
    width: 100%;
}

.somos-texto {
    line-height: 2rem;
    text-align: center;
}

.somos-texto h3 {
    font-size: 2rem;
    font-weight: bold;
    text-align: left;
}

.somos-texto p {
    font-size: 1.3rem;
    font-weight: 400;
    text-align: left;
}

.btn-somos {
    background: linear-gradient(
        to right,
        var(--degradado03),
        var(--degradado02),
        var(--degradado01)
    );
    border: none;
    height: 2.6rem;
    width: 14.1rem;
    font-size: 1rem;
    border-radius: 2rem;
}

.btn-somos a {
    text-transform: uppercase;
    color: var(--blanco);
    font-weight: bold;
}

/*codigo slider aliados*/

.slider-aliados {
    height: 300px;
    position: relative;
    overflow: hidden;
    display: -webkit-box;
    display: -webkit-flex;
    display: -ms-flexbox;
    display: flex;
    -webkit-flex-flow: row nowrap;
    -ms-flex-flow: row nowrap;
    flex-flow: row nowrap;
    -webkit-box-align: end;
    -webkit-align-items: flex-end;
    -ms-flex-align: start;
    align-items: flex-start;
    -webkit-box-pack: end;
    -webkit-justify-content: end;
    -ms-flex-pack: end;
    justify-content: center;
}

.slider__nav {
    width: 12px;
    height: 12px;
    margin: 1rem 1.5rem;
    border-radius: 50%;
    z-index: 10;
    outline: 6px solid #ccc;
    outline-offset: -6px;
    box-shadow:
        0 0 0 0 #333,
        0 0 0 0 rgba(51, 51, 51, 0);
    cursor: pointer;
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    -webkit-backface-visibility: hidden;
    backface-visibility: hidden;
}

.slider__nav:checked {
    -webkit-animation: check 0.4s linear forwards;
    animation: check 0.4s linear forwards;
}

.slider__nav:checked:nth-of-type(1) ~ .slider__inner {
    left: 0%;
}

.slider__nav:checked:nth-of-type(2) ~ .slider__inner {
    left: -100%;
}

.slider__nav:checked:nth-of-type(3) ~ .slider__inner {
    left: -200%;
}

.slider__nav:checked:nth-of-type(4) ~ .slider__inner {
    left: -300%;
}

.slider__nav:checked:nth-of-type(5) ~ .slider__inner {
    left: -400%;
}

.slider__nav:checked:nth-of-type(6) ~ .slider__inner {
    left: -500%;
}

.slider__inner {
    position: absolute;
    top: 0;
    left: 0;
    width: 600%;
    height: 500px;
    -webkit-transition: left 0.4s;
    transition: left 0.4s;
    display: -webkit-box;
    display: -webkit-flex;
    display: flex;
    justify-content: center;
    align-items: start;
    -webkit-flex-flow: row nowrap;
    -ms-flex-flow: row nowrap;
    flex-flow: row nowrap;
}

.slider__contents {
    text-align: center;
    display: -webkit-box;
    display: -webkit-flex;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-flex: 1;
    -webkit-flex: 1;
    -ms-flex: 1;
    flex: 1;
    -webkit-flex-flow: column nowrap;
    -ms-flex-flow: column nowrap;
    flex-flow: column nowrap;
    -webkit-box-align: center;
    -webkit-align-items: center;
    -ms-flex-align: center;
    align-items: center;
    -webkit-box-pack: center;
    -webkit-justify-content: end;
    -ms-flex-pack: end;
    justify-content: end;
    padding-top: 5rem;
}

.slider__txt {
    color: var(--negro);
    line-height: 2rem;
    background-color: var(--blanco);
    width: 35rem;
    padding: 1rem;
    border: solid transparent;
    border-radius: 1rem;
    text-align: center;
}

.fondo-slideimg {
    display: flex;
    background-color: var(--blanco);
    width: 16rem;
    height: 16rem;
    border-radius: 50%;
    align-items: center;
    justify-content: center;
}

@-webkit-keyframes check {
    50% {
        outline-color: #333;
        box-shadow:
            0 0 0 12px #333,
            0 0 0 36px rgba(51, 51, 51, 0.2);
    }

    100% {
        outline-color: #333;
        box-shadow:
            0 0 0 0 #333,
            0 0 0 0 rgba(51, 51, 51, 0);
    }
}

@keyframes check {
    50% {
        outline-color: #333;
        box-shadow:
            0 0 0 12px #333,
            0 0 0 36px rgba(51, 51, 51, 0.2);
    }

    100% {
        outline-color: #333;
        box-shadow:
            0 0 0 0 #333,
            0 0 0 0 rgba(51, 51, 51, 0);
    }
}

.titulo-aliados {
    text-align: center;
    padding-top: 2rem;
}

.contenedor-aliados {
    height: 41rem;
    background-color: #ecebeb;
}
